package terminal;

import java.util.*;

public class TerminalHistory {

    private List<String> history;
    private int currentLineIndex;

    public TerminalHistory() {
        this.history = new ArrayList<>();
        this.currentLineIndex = 0;
    }

    public void addLine(String line) {
        history.add(line);
        currentLineIndex = history.size();
    }

    public String getPreviousLine() {
        if (isBeginning())
            return null;
        
        return history.get(--currentLineIndex);
    }

    private boolean isBeginning() {
        return currentLineIndex == 0;
    }

    public String getNextLine() {
        if (isEnd())
            return null;

        return history.get(++currentLineIndex);
    }

    private boolean isEnd() {
        return currentLineIndex >= history.size() - 1;
    }

}
